<h1 align="center">
	<br>
	<img width="400" src="https://rawgit.com/sindresorhus/awesome/master/media/logo.svg" alt="awesome">
	<br>
	<br>
	<br>
</h1>

> A curated list of awesome lists

[What makes for an awesome list?](awesome.md)

If you want to contribute, please read the [contribution guidelines](contributing.md).

If you want to create your own list, please read the [create list instructions](create-list.md).

## Table of Contents

- [Platforms](#platforms)
- [Programming Languages](#programming-languages)
- [Front-end Development](#front-end-development)
- [Back-end Development](#back-end-development)
- [Computer Science](#computer-science)
- [Big Data](#big-data)
- [Theory](#theory)
- [Books](#books)
- [Editors](#editors)
- [Gaming](#gaming)
- [Developer Environment](#developer-environment)
- [Entertainment](#entertainment)
- [Databases](#databases)
- [Resources](#resources)
- [Learn](#learn)
- [Security](#security)
- [Miscellaneous](#miscellaneous)


## Platforms

- [Node.js](https://github.com/sindresorhus/awesome-nodejs)
- [Frontend Development](https://github.com/dypsilon/frontend-dev-bookmarks)
- [iOS](https://github.com/vsouza/awesome-ios)
- [Android](https://github.com/JStumpp/awesome-android)
- [Hybrid Apps](https://github.com/weblancaster/awesome-hybrid)
- [Electron](https://github.com/sindresorhus/awesome-electron)
- [Cordova](https://github.com/busterc/awesome-cordova)
- [React Native](https://github.com/jondot/awesome-react-native)
- [Xamarin](https://github.com/benoitjadinon/awesome-xamarin)
- [Linux](https://github.com/aleksandar-todorovic/awesome-linux)
- [OS X](https://github.com/iCHAIT/awesome-osx)
- [watchOS](https://github.com/yenchenlin1994/awesome-watchos)
- [JVM](https://github.com/deephacks/awesome-jvm)


## Programming Languages

- [JavaScript](https://github.com/sorrycc/awesome-javascript)
- [Swift](https://github.com/matteocrippa/awesome-swift)
- [Python](https://github.com/vinta/awesome-python)
- [Rust](https://github.com/kud1ing/awesome-rust)
- [Haskell](https://github.com/krispo/awesome-haskell)
- [PureScript](https://github.com/passy/awesome-purescript)
- [Go](https://github.com/avelino/awesome-go)
- [Scala](https://github.com/lauris/awesome-scala)
- [Ruby](https://github.com/markets/awesome-ruby)
	- [Ruby Events](https://github.com/planetruby/awesome-events) *(Conferences, Meetups, etc.)*
- [Clojure](https://github.com/razum2um/awesome-clojure)
- [Elixir](https://github.com/h4cc/awesome-elixir)
- [Elm](https://github.com/isRuslan/awesome-elm)
- [Erlang](https://github.com/drobakowski/awesome-erlang)
- [Julia](https://github.com/svaksha/Julia.jl)
- [Lua](https://github.com/LewisJEllis/awesome-lua)
- [C](https://github.com/aleksandar-todorovic/awesome-c)
- [C/C++](https://github.com/fffaraz/awesome-cpp)
- [R](https://github.com/qinwf/awesome-R)
- [D](https://github.com/zhaopuming/awesome-d)
- [Common Lisp](https://github.com/CodyReichert/awesome-cl)
- [Perl](https://github.com/hachiojipm/awesome-perl)
- [Groovy](https://github.com/kdabir/awesome-groovy)
- [Dart](https://github.com/yissachar/awesome-dart)
- [Java](https://github.com/akullpp/awesome-java)
- [OCaml](https://github.com/rizo/awesome-ocaml)
- [Coldfusion](https://github.com/seancoyne/awesome-coldfusion)
- [Fortran](https://github.com/rabbiabram/awesome-fortran)
- [.NET](https://github.com/quozd/awesome-dotnet)
- [PHP](https://github.com/ziadoz/awesome-php)
- [Delphi](https://github.com/Fr0sT-Brutal/awesome-delphi)
- [Assembler](https://github.com/mat0thew/awesome-asm)
- [AutoHotkey](https://github.com/ahkscript/awesome-AutoHotkey)
- [AutoIt](https://github.com/J2TeaM/awesome-AutoIt)
- [Crystal](https://github.com/veelenga/awesome-crystal)
- [TypeScript](https://github.com/dzharii/awesome-typescript)


## Front-end Development

- [JavaScript Must Watch Talks](https://github.com/bolshchikov/js-must-watch)
- [ES6 Tools](https://github.com/addyosmani/es6-tools)
- [Web Performance Optimization](https://github.com/davidsonfellipe/awesome-wpo)
- [Web Tools](https://github.com/lvwzhen/tools)
- [Above-the-fold CSS Tools](https://github.com/addyosmani/above-the-fold-css-tools)
- [React](https://github.com/enaqx/awesome-react)
- [Web Components](https://github.com/mateusortiz/webcomponents-the-right-way)
- [Polymer](https://github.com/Granze/awesome-polymer)
- [AngularJS](https://github.com/gianarb/awesome-angularjs)
- [Backbone](https://github.com/instanceofpro/awesome-backbone)
- [HTML5](https://github.com/diegocard/awesome-html5)
- [SVG](https://github.com/willianjusten/awesome-svg)
- [Canvas](https://github.com/raphamorim/awesome-canvas)
- [KnockoutJS](https://github.com/dnbard/awesome-knockout)
- [Dojo Toolkit](https://github.com/peterkokot/awesome-dojo)
- [Inspiration](https://github.com/NoahBuscher/Inspire)
- [Ember](https://github.com/nmec/awesome-ember)
- [Android UI](https://github.com/wasabeef/awesome-android-ui)
- [iOS UI](https://github.com/cjwirth/awesome-ios-ui)
- [Scalable CSS](https://github.com/davidtheclark/scalable-css-reading-list)
- [Meteor](https://github.com/Urigo/awesome-meteor)
- [BEM](https://github.com/sturobson/BEM-resources)
- [CSS Must-Watch Talks](https://github.com/AllThingsSmitty/must-watch-css)
- [Flexbox](https://github.com/afonsopacifer/awesome-flexbox)
- [Web Typography](https://github.com/deanhume/typography)
- [Web Accessibility](https://github.com/brunopulis/awesome-a11y)
- [Material Design](https://github.com/sachin1092/awesome-material)
- [CSS](https://github.com/sota0805/awesome-css)
- [D3](https://github.com/wbkd/awesome-d3)
- [Emails](https://github.com/jonathandion/awesome-emails)


## Back-end Development

- [Django](https://github.com/rosarior/awesome-django)
- [Flask](https://github.com/humiaozuzu/awesome-flask)
- [Docker](https://github.com/veggiemonk/awesome-docker)
- [Vagrant](https://github.com/iJackUA/awesome-vagrant)
- [Pyramid](https://github.com/ITCase/awesome-pyramid)
- [Play1 Framework](https://github.com/PerfectCarl/awesome-play1)
- [CakePHP](https://github.com/friendsofcake/awesome-cakephp)
- [Symfony2](https://github.com/EmanueleMinotto/awesome-symfony2)
- [Laravel](https://github.com/chiraggude/awesome-laravel)
- [Rails](https://github.com/ekremkaraca/awesome-rails)
- [Rails Gem](https://github.com/hothero/awesome-rails-gem)
- [Phalcon](https://github.com/sergeyklay/awesome-phalcon)
- [Useful `.htaccess` Snippets](https://github.com/phanan/htaccess)
- [nginx](https://github.com/fcambus/nginx-resources)
- [Dropwizard](https://github.com/stve/awesome-dropwizard)


## Computer Science

- [University Courses](https://github.com/prakhar1989/awesome-courses)
- [Data Science](https://github.com/okulbilisim/awesome-datascience)
- [Machine Learning](https://github.com/josephmisiti/awesome-machine-learning)
- [Speech and Natural Language Processing](https://github.com/edobashira/speech-language-processing)
- [Linguistics](https://github.com/theimpossibleastronaut/awesome-linguistics)
- [Cryptography](https://github.com/MaciejCzyzewski/retter)
- [Computer Vision](https://github.com/jbhuang0604/awesome-computer-vision)
- [Deep Learning](https://github.com/ChristosChristofidis/awesome-deep-learning) *(Neural networks)*
- [Deep Vision](https://github.com/kjw0612/awesome-deep-vision)


## Big Data

- [Big Data](https://github.com/onurakpolat/awesome-bigdata)
- [Public Datasets](https://github.com/caesar0301/awesome-public-datasets)
- [Hadoop](https://github.com/youngwookim/awesome-hadoop)
- [Data Engineering](https://github.com/igorbarinov/awesome-data-engineering)


## Theory

- [Papers We Love](https://github.com/papers-we-love/papers-we-love)
- [Talks](https://github.com/JanVanRyswyck/awesome-talks)
- [Algorithms](https://github.com/tayllan/awesome-algorithms)
- [Algorithm Visualizations](https://github.com/enjalot/algovis)
- [Artificial Intelligence](https://github.com/owainlewis/awesome-artificial-intelligence)
- [Search Engine Optimization](https://github.com/marcobiedermann/search-engine-optimization)


## Books

- [Free Programming Books](https://github.com/vhf/free-programming-books)
- [Free Software Testing Books](https://github.com/ligurio/free-software-testing-books/blob/master/free-software-testing-books.md)
- [GoBooks](https://github.com/dariubs/GoBooks)
- [Mind Expanding Books](https://github.com/hackerkid/Mind-Expanding-Books)


## Editors

- [Sublime Text](https://github.com/dreikanter/sublime-bookmarks)
- [Vim](http://vimawesome.com)
- [Emacs](https://github.com/emacs-tw/awesome-emacs)
- [Atom](https://github.com/mehcode/awesome-atom)


## Gaming

- [Game Development](https://github.com/ellisonleao/magictools)
- [Game Talks](https://github.com/hzoo/awesome-gametalks)
- [Godot](https://github.com/Calinou/awesome-godot) *(Game engine)*
- [Open Source Games](https://github.com/leereilly/games)


## Developer Environment

- [Quick Look Plugins](https://github.com/sindresorhus/quick-look-plugins)
- [Dev Env](https://github.com/jondot/awesome-devenv)
- [Dotfiles](https://github.com/webpro/awesome-dotfiles)
- [Shell](https://github.com/alebcay/awesome-shell)
- [ZSH Plugins](https://github.com/unixorn/awesome-zsh-plugins)
- [Browser Extensions for GitHub](https://github.com/stefanbuck/awesome-browser-extensions-for-github)
- [Git Cheat Sheet](https://github.com/arslanbilal/git-cheat-sheet)
- [Git Tips](https://github.com/git-tips/tips)
- [Git Add-ons](https://github.com/stevemao/awesome-git-addons)


## Entertainment

- [Science Fiction](https://github.com/sindresorhus/awesome-scifi) *(Scifi)*
- [Fantasy](https://github.com/RichardLitt/awesome-fantasy)
- [Podcasts](https://github.com/cv/awesome-geek-podcasts)
- [Email Newsletters](https://github.com/vredniy/awesome-newsletters)


## Databases

- [Database](https://github.com/numetriclabz/awesome-db)
- [MySQL](https://github.com/shlomi-noach/awesome-mysql/blob/gh-pages/index.md)
- [SQLAlchemy](https://github.com/dahlia/awesome-sqlalchemy)
- [InfluxDB](https://github.com/mark-rushakoff/awesome-influxdb)


## Resources

- [Creative Commons Media](https://github.com/shime/creative-commons-media)
- [Images](https://github.com/heyalexej/awesome-images)
- [Fonts](https://github.com/brabadu/awesome-fonts)
- [Codeface](https://github.com/chrissimpkins/codeface) *(Text editor fonts)*


## Learn

- [CLI Workshoppers/Adventures](https://github.com/therebelrobot/awesome-workshopper)
- [Learn to Program](https://github.com/karlhorky/learn-to-program)
- [Speaking](https://github.com/matteofigus/awesome-speaking)


## Security

- [Application Security](https://github.com/paragonie/awesome-appsec)
- [Security](https://github.com/sbilly/awesome-security)
- [CTF](https://github.com/apsdehal/awesome-ctf)
- [Malware Analysis](https://github.com/rshipp/awesome-malware-analysis)
- [Android Security](https://github.com/ashishb/android-security-awesome)
- [Hacking](https://github.com/carpedm20/awesome-hacking)
- [Honeypots](https://github.com/paralax/awesome-honeypots)


## Miscellaneous

- [JSON](https://github.com/burningtree/awesome-json)
- [Discounts for Student Developers](https://github.com/najela/discount-for-student-dev)
- [Slack](https://github.com/matiassingers/awesome-slack)
- [Conferences](https://github.com/RichardLitt/awesome-conferences)
- [GeoJSON](https://github.com/tmcw/awesome-geojson)
- [Sysadmin](https://github.com/n1trux/awesome-sysadmin)
- [Radio](https://github.com/kyleterry/awesome-radio)
- [Awesome](https://github.com/sindresorhus/awesome)
- [Analytics](https://github.com/onurakpolat/awesome-analytics)
- [FOSS for Developers](https://github.com/httpsGithubParty/FOSS-for-Dev)
- [GitHub Cheat Sheet](https://github.com/tiimgreen/github-cheat-sheet)
- [Open Companies](https://github.com/waldyrious/awesome-open-company)
- [REST](https://github.com/marmelab/awesome-rest)
- [Selenium](https://github.com/christian-bromann/awesome-selenium)
- [Endangered Languages](https://github.com/RichardLitt/endangered-languages)
- [Slack Communities](https://github.com/filipelinhares/awesome-slack)
- [Continuous Delivery](https://github.com/itech001/ciandcd)
- [Services Engineering](https://github.com/mmcgrana/services-engineering)
- [Free for Developers](https://github.com/ripienaar/free-for-dev)
- [Bitcoin](https://github.com/igorbarinov/awesome-bitcoin/)
- [Answers](https://github.com/jugoncalves/awesome-answers) *(Stack Overflow, Quora, etc)*
- [Sketch](https://github.com/diessica/awesome-sketch) *(OS X app)*
- [Places to Post Your Startup](https://github.com/mmccaff/PlacesToPostYourStartup)
- [Maintainance Modules](https://github.com/maxogden/maintenance-modules) *(for npm packages)*
- [PCAPTools](https://github.com/caesar0301/awesome-pcaptools)
- [Remote Jobs](https://github.com/lukasz-madon/awesome-remote-job)
- [Boilerplate Projects](https://github.com/melvin0008/awesome-projects-boilerplates)
- [Mad Science Modules](https://github.com/feross/mad-science-modules)
- [Readme](https://github.com/matiassingers/awesome-readme)
- [Tools](https://github.com/cjbarber/ToolsOfTheTrade)
- [Styleguides](https://github.com/RichardLitt/awesome-styleguides)
- [Blogs](https://github.com/aleksandar-todorovic/awesome-blogs)
- [Design and Development Guides](https://github.com/NARKOZ/guides)
- [Software Engineering Blogs](https://github.com/kilimchoi/engineering-blogs)
- [Self Hosted](https://github.com/Kickball/awesome-selfhosted)
- [FOSS Production Apps](https://github.com/jwaterfaucett/awesome-foss-apps)
- [Gulp](https://github.com/alferov/awesome-gulp)
- [AMA](https://github.com/sindresorhus/amas) *(Ask Me Anything)*
- [AMA-answers](https://github.com/stoeffel/awesome-ama-answers)
- [GIF](https://github.com/Syskaw/awesome-gif)
- [Open Source Photography](https://github.com/Syskaw/awesome-OpenSourcePhotography/)
- [OpenGL](https://github.com/eug/awesome-opengl)
- [JavaScript Standard Style](https://github.com/feross/awesome-standard)
- [Productivity](https://github.com/jyguyomarch/awesome-productivity)
- [GraphQL](https://github.com/chentsulin/awesome-graphql)
- [Transit](https://github.com/luqmaan/awesome-transit)
- [Research Tools](https://github.com/emptymalei/awesome-research)
- [Niche Job Boards](https://github.com/wfhio/awesome-job-boards)
- [Data Visualization](https://github.com/fasouto/awesome-dataviz)
- [Social Media Share Links](https://github.com/vinkla/awesome-share-links)
- [JSON Datasets](https://github.com/jdorfman/awesome-json-datasets)

## License

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Sindre Sorhus](http://sindresorhus.com) has waived all copyright and related or neighboring rights to this work.
